### windows::overlapped_handle

Provides Windows handle functionality for objects that support overlapped I/O.

    class overlapped_handle

##### Types

Name | Description
--- | ---
executor_type | The type of the executor associated with the object.
lowest_layer_type | An overlapped_handle is always the lowest layer.
native_handle_type | The native representation of a handle.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to the handle.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close the handle.
get_executor | Get the executor associated with the object.
get_io_context | (Deprecated: Use get_executor().) Get the io_context associated with the object.
get_io_service | (Deprecated: Use get_executor().) Get the io_context associated with the object.
is_open | Determine whether the handle is open.
lowest_layer | Get a reference to the lowest layer. Get a const reference to the lowest layer.
native_handle | Get the native handle representation.
operator= | Move-assign an overlapped_handle from another.
overlapped_handle | Construct an overlapped_handle without opening it. Construct an overlapped_handle on an existing native handle. Move-construct an overlapped_handle from another.

##### Protected Member Functions

Name | Description
--- | ---
~overlapped_handle | Protected destructor to prevent deletion through this type.

The `windows::overlapped_handle` class provides the ability to wrap a Windows handle. The underlying object referred to by the handle must support overlapped I/O.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

##### Requirements

Header: `asio/windows/overlapped_handle.hpp`

Convenience header: `asio.hpp`